## com.lowagie.text.rtf.field
Class RtfPageNumber

    java.lang.Object
      com.lowagie.text.Chunk
          com.lowagie.text.rtf.field.RtfField
              com.lowagie.text.rtf.field.RtfPageNumber

All Implemented Interfaces:
  Element, MarkupAttributes, RtfBasicElement

    public class RtfPageNumber

extends RtfField

The RtfPageNumber provides the page number field in rtf documents.

Version:
  $Revision: 1.9 $
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at), Steffen.Stundzig (Steffen.Stundzig@smb-tec.com)

Field Summary
`private static byte[]` `PAGE_NUMBER` Constant for the page number

Fields inherited from class com.lowagie.text.rtf.field.RtfField
`document`

Fields inherited from class com.lowagie.text.Chunk
`ACTION, attributes, BACKGROUND, COLOR, content, ENCODING, GENERICTAG, HSCALE, HYPHENATION, IMAGE, LOCALDESTINATION, LOCALGOTO, markupAttributes, NEWLINE, NEWPAGE, NEXTPAGE, OBJECT_REPLACEMENT_CHARACTER, PDFANNOTATION, REMOTEGOTO, SKEW, SPLITCHARACTER, SUBSUPSCRIPT, TEXTRENDERMODE, UNDERLINE`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`RtfPageNumber()` Constructs a RtfPageNumber.
`RtfPageNumber(Font font)` Constructs a RtfPageNumber with a specified Font.
`RtfPageNumber(RtfDocument doc)` Constructs a RtfPageNumber object.
`RtfPageNumber(RtfDocument doc, Font font)` Constructs a RtfPageNumber object with a specific font.

Method Summary
`protected byte[]` `writeFieldInstContent()` Writes the field instruction content
`protected byte[]` `writeFieldResultContent()` Writes the field result content

Methods inherited from class com.lowagie.text.rtf.field.RtfField
`isEmpty, isFieldAlt, isFieldDirty, isFieldEdit, isFieldLocked, isFieldPrivate, setFieldAlt, setFieldDirty, setFieldEdit, setFieldLocked, setFieldPrivate, setInHeader, setInTable, setRtfDocument, write`

Methods inherited from class com.lowagie.text.Chunk

`addToArray, append, content, font, getAttributes, getChunks, getHorizontalScaling, getImage, getKeySet, getMarkupAttribute, getMarkupAttributeNames, getMarkupAttributes, getTextRise, getWidthPoint, hasAttributes, isTag, process, setAction, setAnchor, setAnchor, setAnnotation, setBackground, setBackground, setFont, setGenericTag, setHorizontalScaling, setHyphenation, setLocalDestination, setLocalGoto, setMarkupAttribute, setMarkupAttributes, setNewPage, setRemoteGoto, setRemoteGoto, setSkew, setSplitCharacter, setTextRenderMode, setTextRise, setUnderline, setUnderline, toString, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PAGE_NUMBER

    private static final byte[] PAGE_NUMBER

  Constant for the page number

Constructor Detail

### RtfPageNumber

    public RtfPageNumber()

  Constructs a RtfPageNumber. This can be added anywhere to add a page number field.

### RtfPageNumber

    public RtfPageNumber(Font font)

  Constructs a RtfPageNumber with a specified Font. This can be added anywhere to add a page number field.

  Parameters:
    `font` -

### RtfPageNumber

    public RtfPageNumber(RtfDocument doc)

  Constructs a RtfPageNumber object.

  Parameters:
    `doc` - The RtfDocument this RtfPageNumber belongs to

### RtfPageNumber

    public RtfPageNumber(RtfDocument doc,
                         Font font)

  Constructs a RtfPageNumber object with a specific font.

  Parameters:
    `doc` - The RtfDocument this RtfPageNumber belongs to
    `font` - The Font to use

Method Detail

### writeFieldInstContent

    protected byte[] writeFieldInstContent()
                                    throws java.io.IOException

  Writes the field instruction content

  Specified by:
    `writeFieldInstContent` in class `RtfField`
  Returns:
    A byte array containing "PAGE"
  Throws:
    `java.io.IOException`

### writeFieldResultContent

    protected byte[] writeFieldResultContent()
                                      throws java.io.IOException

  Writes the field result content

  Specified by:
    `writeFieldResultContent` in class `RtfField`
  Returns:
    An empty byte array
  Throws:
    `java.io.IOException`